## php.java.bridge
Interface ILogger

All Known Implementing Classes:
  ChainsawLogger, FileLogger, Log4jLogger, Util.Logger

    public interface ILogger

The log interface for the PHP/Java Bridge log.

Author:
  jostb
See Also:
  `FileLogger`, `ChainsawLogger`, `Log4jLogger`

Method Summary
`void` `log(int level, java.lang.String msg)` Log a message.
`void` `printStackTrace(java.lang.Throwable t)` Log a stack trace
`void` `warn(java.lang.String msg)` Display a warning if logLevel >= 1

Method Detail

### printStackTrace

    void printStackTrace(java.lang.Throwable t)

  Log a stack trace

  Parameters:
    `t` - The Throwable

### log

    void log(int level,
             java.lang.String msg)

  Log a message.

  Parameters:
    `level` - The log level 0: FATAL, 1:ERROR, 2: INFO, 3: DEBUG
    `msg` - The message

### warn

    void warn(java.lang.String msg)

  Display a warning if logLevel >= 1

  Parameters:
    `msg` - The warn message